Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11.ac
Class AuthenticationContextStatement

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.ac.AuthenticationContextStatement`

Direct Known Subclasses:
  GenericClass, MobileContractClass, MobileDigitalIDClass, MobileUnregisteredClass, PasswordClass, PasswordProtectedTransportClass, PreviousSessionClass, SmartcardClass, SmartcardPKIClass, SoftwarePKIClass, TimeSyncTokenClass

public abstract class AuthenticationContextStatement
extends oracle.security.xmlsec.util.XMLElement

An abstract class representing the top-level `AuthenticationContextStatement` element of the Liberty authentication context schema. Each concrete implementation of this class represents a respective class defined in the Liberty Authentication Context Specification.

Since:
  1.0

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`protected` | `AuthenticationContextStatement(org.w3c.dom.Document owner)` Creates a new `AuthenticationContextStatement` element in the given document.
`protected` | `AuthenticationContextStatement(org.w3c.dom.Document owner, java.lang.String id)` Creates a new `AuthenticationContextStatement` element in the given document.
`protected` | `AuthenticationContextStatement(org.w3c.dom.Element element)` Creates a new `AuthenticationContextStatement` object that wraps the given `org.w3c.dom.Element` object.
`protected` | `AuthenticationContextStatement(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `AuthenticationContextStatement` object that wraps the given Element object.

Method Summary
`AuthenticationMethod` | `createAuthenticationMethod()` Creates a new `AuthenticationMethod` element, but does not append it to any element.
`Authenticator` | `createAuthenticator()` Creates a new `Authenticator` element, but does not append it to any element.
`AuthenticatorTransportProtocol` | `createAuthenticatorTransportProtocol()` Creates a new `AuthenticatorTransportProtocol` element, but does not append it to any element.
`DeactivationCallCenter` | `createDeactivationCallCenter()` Creates a new `DeactivationCallCenter` element, but does not append it to any element.
`DigSig` | `createDigSig()` Creates a new `Dig-sig` element, but does not append it to any element.
`Generation` | `createGeneration(java.lang.String mechanism)` Creates a new `Generation` element, but does not append it to any element.
`GoverningAgreementRef` | `createGoverningAgreementRef(java.lang.String ref)` Creates a new `GoverningAgreementRef` element, but does not append it to any element.
`GoverningAgreements` | `createGoverningAgreements()` Creates a new `GoverningAgreements` element, but does not append it to any element.
`HTTP` | `createHTTP()` Creates a new `HTTP` element, but does not append it to any element.
`Identification` | `createIdentification(java.lang.String nym)` Creates a new `Identification` element, but does not append it to any element.
`IPSec` | `createIPSec()` Creates a new `IPSec` element, but does not append it to any element.
`KeyActivation` | `createKeyActivation()` Creates a new `KeyActivation` element, but does not append it to any element.
`KeyStorage` | `createKeyStorage(java.lang.String medium)` Creates a new `KeyStorage` element, but does not append it to any element.
`Length` | `createLength(int min)` Creates a new `Length` element, but does not append it to any element.
`MobileAuthCard` | `createMobileAuthCard()` Creates a new `MobileAuthCard` element, but does not append it to any element.
`MobileDevice` | `createMobileDevice()` Creates a new `MobileDevice` element, but does not append it to any element.
`MobileNetwork` | `createMobileNetwork()` Creates a new `MobileNetwork` element, but does not append it to any element.
`OperationalProtection` | `createOperationalProtection()` Creates a new `OperationalProtection` element, but does not append it to any element.
`Password` | `createPassword()` Creates a new `Password` element, but does not append it to any element.
`PhysicalVerification` | `createPhysicalVerification(java.lang.String credentialLevel)` Creates a new `PhysicalVerification` element, but does not append it to any element.
`PreviousSession` | `createPreviousSession()` Creates a new `PreviousSession` element, but does not append it to any element.
`PrincipalAuthenticationMechanism` | `createPrincipalAuthenticationMechanism()` Creates a new `PrincipalAuthenticationMechanism` element, but does not append it to any element.
`PrivateKeyProtection` | `createPrivateKeyProtection()` Creates a new `PrivateKeyProtection` element, but does not append it to any element.
`SecurityAudit` | `createSecurityAudit()` Creates a new `SecurityAudit` element, but does not append it to any element.
`SharedKeyProtection` | `createSharedKeyProtection()` Creates a new `SharedKeyProtection` element, but does not append it to any element.
`SharedSecretChallengeResponse` | `createSharedSecretChallengeResponse()` Creates a new `SharedSecretChallengeResponse` element, but does not append it to any element.
`Smartcard` | `createSmartcard()` Creates a new `Smartcard` element, but does not append it to any element.
`SSL` | `createSSL()` Creates a new `SSL` element, but does not append it to any element.
`SwitchAudit` | `createSwitchAudit()` Creates a new `SwitchAudit` element, but does not append it to any element.
`TechnicalProtection` | `createTechnicalProtection()` Creates a new `TechnicalProtection` element, but does not append it to any element.
`TimeSyncToken` | `createTimeSyncToken(java.lang.String deviceType, int seedLength, boolean deviceInHand)` Creates a new `TimeSyncToken` element, but does not append it to any element.
`Token` | `createToken()` Creates a new `Token` element, but does not append it to any element.
`WrittenConsent` | `createWrittenConsent()` Creates a new `WrittenConsent` element, but does not append it to any element.
`WTLS` | `createWTLS()` Creates a new `WTLS` element, but does not append it to any element.
`ZeroKnowledge` | `createZeroKnowledge()` Creates a new `ZeroKnowledge` element, but does not append it to any element.
`java.lang.String` | `getAssociatedURI()` Returns the associated Liberty URI for this authentication context class.
`AuthenticationMethod` | `getAuthenticationMethod()` Returns the `AuthenticationMethod` element for this `AuthenticationContextStatement`, or `null` if none has been set.
`java.lang.String` | `getClassName()` Returns the name of this authentication context class.
`GoverningAgreements` | `getGoverningAgreements()` Returns the `GoverningAgreements` element for this `AuthenticationContextStatement`, or `null` if none has been set.
`java.lang.String` | `getID()` Returns the `ID` attribute for this `AuthenticationContextStatement` element, or `null` if none has been set.
`Identification` | `getIdentification()` Returns the `Identification` element for this `AuthenticationContextStatement`, or `null` if none has been set.
`static AuthenticationContextStatement` | `getInstance(java.lang.String uri, org.w3c.dom.Document owner, java.lang.String id)` Returns an instance of the subclass of `AuthenticationContextStatement` that represents the authentication context class specified by the given URI.
`static AuthenticationContextStatement` | `getInstance(java.lang.String uri, org.w3c.dom.Element element)` Returns an instance of the subclass of `AuthenticationContextStatement` that represents the authentication context class specified by the given URI.
`static AuthenticationContextStatement` | `getInstance(java.lang.String uri, org.w3c.dom.Element element, java.lang.String systemId)` Returns an instance of the subclass of `AuthenticationContextStatement` that represents the authentication context class specified by the given URI.
`OperationalProtection` | `getOperationalProtection()` Returns the `OperationalProtection` element for this `AuthenticationContextStatement`, or `null` if none has been set.
`TechnicalProtection` | `getTechnicalProtection()` Returns the `TechnicalProtection` element for this `AuthenticationContextStatement`, or `null` if none has been set.
`protected abstract void` | `initialize()` Initializes the authentication context class object.
`protected boolean` | `isValidAttributeValue(java.lang.String value, java.lang.String attrName, java.lang.String attrNSURI, oracle.security.xmlsec.util.XMLElement element)` Returns `true` if the given value is valid for the given attribute of the given element for this authentication context class, or `false` otherwise.
`protected boolean` | `isValidElement(ACElement element, oracle.security.xmlsec.util.XMLElement parent)` Returns `true` if `Element` represented by the given `ACElement` object belongs to the list of valid elements for this authentication context class, or `false` otherwise.
`protected void` | `removeValidElement(java.lang.String nsURI, java.lang.String localName, java.lang.String nsURIParent, java.lang.String localNameParent)` Removes the `Element` specified by the given namespace URI and local name from the list of valid elements for this authentication context class.
`protected void` | `setAssociatedURI(java.lang.String uri)` Sets the associated Liberty URI for this authentication context class.
`void` | `setAuthenticationMethod(AuthenticationMethod am)` Sets the `AuthenticationMethod` element for this `AuthenticationContextStatement` element, replacing any existing `AuthenticationMethod` element.
`protected void` | `setChildACElement(ACElement element, int pos)` Inserts the given element as a child element to this `AuthenticationContextStatement` element in the given position.
`protected void` | `setClassName(java.lang.String name)` Sets the name of this authentication context class.
`void` | `setGoverningAgreements(GoverningAgreements ga)` Sets the `GoverningAgreements` element for this `AuthenticationContextStatement` element, replacing any existing `GoverningAgreements` element.
`void` | `setID(java.lang.String id)` Sets the `ID` attribute for this `AuthenticationContextStatement` element.
`void` | `setIdentification(Identification id)` Sets the `Identification` element for this `AuthenticationContextStatement` element, replacing any existing `Identification` element.
`void` | `setOperationalProtection(OperationalProtection op)` Sets the `OperationalProtection` element for this `AuthenticationContextStatement` element, replacing any existing `OperationalProtection` element.
`void` | `setTechnicalProtection(TechnicalProtection tp)` Sets the `TechnicalProtection` element for this `AuthenticationContextStatement` element, replacing any existing `TechnicalProtection` element.
`protected void` | `setValidElement(java.lang.String nsURI, java.lang.String localName, java.lang.String nsURIParent, java.lang.String localNameParent)` Adds the `Element` specified by the given namespace URI ,local name, and parent element to the list of valid elements for this authentication context class.
`protected void` | `validateAttributeValue(java.lang.String value, java.lang.String attrName, java.lang.String attrNSURI, oracle.security.xmlsec.util.XMLElement element)` Throws an `AuthenticationContextException` if the given value is not valid for the given attribute of the given element for this authentication context class.
`protected void` | `validateElement(ACElement element, oracle.security.xmlsec.util.XMLElement parent)` Throws an `AuthenticationContextException` if `Element` represented by the given `ACElement` object does not belong to the list of valid elements for this authentication context class, or returns otherwise.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationContextStatement

    protected AuthenticationContextStatement(org.w3c.dom.Element element)

  Creates a new `AuthenticationContextStatement` object that wraps the given `org.w3c.dom.Element` object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.

### AuthenticationContextStatement

    protected AuthenticationContextStatement(org.w3c.dom.Element element,
                                             java.lang.String systemId)

  Creates a new `AuthenticationContextStatement` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `systemId` - The URI string system ID for the `AuthenticationContextStatement`.

### AuthenticationContextStatement

    protected AuthenticationContextStatement(org.w3c.dom.Document owner)

  Creates a new `AuthenticationContextStatement` element in the given document.
Parameters:
  `owner` - The owner document for this new element.

### AuthenticationContextStatement

    protected AuthenticationContextStatement(org.w3c.dom.Document owner,
                                             java.lang.String id)
                                      throws AuthenticationContextException

  Creates a new `AuthenticationContextStatement` element in the given document.
Parameters:
  `owner` - The owner document for this new element.
  `id` - The `ID` attribute.
Throws:
  `AuthenticationContextException` - If the `ID` value is invalid for this authentication context class.

Method Detail

### getInstance

    public static AuthenticationContextStatement getInstance(java.lang.String uri,
                                                             org.w3c.dom.Element element)
                                                      throws AuthenticationContextException

  Returns an instance of the subclass of `AuthenticationContextStatement` that represents the authentication context class specified by the given URI. This method is used to parse an existing `AuthenticationContextStatement` element. To create a new `AuthenticationContextStatement` element, use `getInstance(String, Document, String)`.
  Parameters:
    `uri` - The authentication context class URI
    `element` - The instance of `org.w3c.dom.Element` that this `AuthenticationContextStatement` will wrap.
  Throws:
    `AuthenticationContextException` - If an error occurs while attempting to create the new instance.

### getInstance

    public static AuthenticationContextStatement getInstance(java.lang.String uri,
                                                             org.w3c.dom.Element element,
                                                             java.lang.String systemId)
                                                      throws AuthenticationContextException

  Returns an instance of the subclass of `AuthenticationContextStatement` that represents the authentication context class specified by the given URI. This method is used to parse an existing `AuthenticationContextStatement` element. To create a new `AuthenticationContextStatement` element, use `getInstance(String, Document, String)`.
  Parameters:
    `uri` - The authentication context class URI
    `element` - The instance of `org.w3c.dom.Element` that this `AuthenticationContextStatement` will wrap.
    `systemId` - The URI string system ID for the `AuthenticationContextStatement`.
  Throws:
    `AuthenticationContextException` - If an error occurs while attempting to create the new instance.

### getInstance

    public static AuthenticationContextStatement getInstance(java.lang.String uri,
                                                             org.w3c.dom.Document owner,
                                                             java.lang.String id)
                                                      throws AuthenticationContextException

  Returns an instance of the subclass of `AuthenticationContextStatement` that represents the authentication context class specified by the given URI. This method is used to create a new `AuthenticationContextStatement` element. To parse an existing `AuthenticationContextStatement` element, use `getInstance(String, Element)` or `getInstance(String, Element, String)`.
  Parameters:
    `uri` - The authentication context class URI
    `owner` - The owner document for this new element.
    `id` - The `ID` attribute of this new element.
  Throws:
    `AuthenticationContextException` - If an error occurs while attempting to create the new instance.

### setIdentification

    public void setIdentification(Identification id)
                           throws AuthenticationContextException

  Sets the `Identification` element for this `AuthenticationContextStatement` element, replacing any existing `Identification` element.
  Parameters:
    `id` - The `Identification` element.
  Throws:
    `AuthenticationContextException` - If the `Identification` element is not valid for this authentication context class.

### getIdentification

    public Identification getIdentification()

  Returns the `Identification` element for this `AuthenticationContextStatement`, or `null` if none has been set.

### setTechnicalProtection

    public void setTechnicalProtection(TechnicalProtection tp)
                                throws AuthenticationContextException

  Sets the `TechnicalProtection` element for this `AuthenticationContextStatement` element, replacing any existing `TechnicalProtection` element.
  Parameters:
    `tp` - The `TechnicalProtection` element.
  Throws:
    `AuthenticationContextException` - If the `TechnicalProtection` element is not valid for this authentication context class.

### getTechnicalProtection

    public TechnicalProtection getTechnicalProtection()

  Returns the `TechnicalProtection` element for this `AuthenticationContextStatement`, or `null` if none has been set.

### setAuthenticationMethod

    public void setAuthenticationMethod(AuthenticationMethod am)
                                 throws AuthenticationContextException

  Sets the `AuthenticationMethod` element for this `AuthenticationContextStatement` element, replacing any existing `AuthenticationMethod` element.
  Parameters:
    `am` - The `AuthenticationMethod` element.
  Throws:
    `AuthenticationContextException` - If the `AuthenticationMethod` element is not valid for this authentication context class.

### getAuthenticationMethod

    public AuthenticationMethod getAuthenticationMethod()

  Returns the `AuthenticationMethod` element for this `AuthenticationContextStatement`, or `null` if none has been set.

### setOperationalProtection

    public void setOperationalProtection(OperationalProtection op)
                                  throws AuthenticationContextException

  Sets the `OperationalProtection` element for this `AuthenticationContextStatement` element, replacing any existing `OperationalProtection` element.
  Parameters:
    `op` - The `OperationalProtection` element.
  Throws:
    `AuthenticationContextException` - If the `OperationalProtection` element is not valid for this authentication context class.

### getOperationalProtection

    public OperationalProtection getOperationalProtection()

  Returns the `OperationalProtection` element for this `AuthenticationContextStatement`, or `null` if none has been set.

### setGoverningAgreements

    public void setGoverningAgreements(GoverningAgreements ga)
                                throws AuthenticationContextException

  Sets the `GoverningAgreements` element for this `AuthenticationContextStatement` element, replacing any existing `GoverningAgreements` element.
  Parameters:
    `ga` - The `GoverningAgreements` element.
  Throws:
    `AuthenticationContextException` - If the `GoverningAgreements` element is not valid for this authentication context class.

### getGoverningAgreements

    public GoverningAgreements getGoverningAgreements()

  Returns the `GoverningAgreements` element for this `AuthenticationContextStatement`, or `null` if none has been set.

### setID

    public void setID(java.lang.String id)
               throws AuthenticationContextException

  Sets the `ID` attribute for this `AuthenticationContextStatement` element.
  Parameters:
    `id` - The attribute value.
  Throws:
    `AuthenticationContextException` - If the ID value is invalid for this authentication context class.

### getID

    public java.lang.String getID()

  Returns the `ID` attribute for this `AuthenticationContextStatement` element, or `null` if none has been set.

### createIdentification

    public Identification createIdentification(java.lang.String nym)
                                        throws org.w3c.dom.DOMException,
                                               AuthenticationContextException

  Creates a new `Identification` element, but does not append it to any element.
  Parameters:
    `nym` - The `nym` attribute value for this element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createTechnicalProtection

    public TechnicalProtection createTechnicalProtection()
                                                  throws org.w3c.dom.DOMException,
                                                         AuthenticationContextException

  Creates a new `TechnicalProtection` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createAuthenticationMethod

    public AuthenticationMethod createAuthenticationMethod()
                                                    throws org.w3c.dom.DOMException,
                                                           AuthenticationContextException

  Creates a new `AuthenticationMethod` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createOperationalProtection

    public OperationalProtection createOperationalProtection()
                                                      throws org.w3c.dom.DOMException,
                                                             AuthenticationContextException

  Creates a new `OperationalProtection` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createGoverningAgreements

    public GoverningAgreements createGoverningAgreements()
                                                  throws org.w3c.dom.DOMException,
                                                         AuthenticationContextException

  Creates a new `GoverningAgreements` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createPhysicalVerification

    public PhysicalVerification createPhysicalVerification(java.lang.String credentialLevel)
                                                    throws org.w3c.dom.DOMException,
                                                           AuthenticationContextException

  Creates a new `PhysicalVerification` element, but does not append it to any element.
  Parameters:
    `credentialLevel` - The `credentialLevel` attribute value for this element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createWrittenConsent

    public WrittenConsent createWrittenConsent()
                                        throws org.w3c.dom.DOMException,
                                               AuthenticationContextException

  Creates a new `WrittenConsent` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createPrincipalAuthenticationMechanism

    public PrincipalAuthenticationMechanism createPrincipalAuthenticationMechanism()
                                                                            throws org.w3c.dom.DOMException,
                                                                                   AuthenticationContextException

  Creates a new `PrincipalAuthenticationMechanism` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createPassword

    public Password createPassword()
                            throws org.w3c.dom.DOMException,
                                   AuthenticationContextException

  Creates a new `Password` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createLength

    public Length createLength(int min)
                        throws org.w3c.dom.DOMException,
                               AuthenticationContextException

  Creates a new `Length` element, but does not append it to any element.
  Parameters:
    `min` - The `min` attribute value for this element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createGeneration

    public Generation createGeneration(java.lang.String mechanism)
                                throws org.w3c.dom.DOMException,
                                       AuthenticationContextException

  Creates a new `Generation` element, but does not append it to any element.
  Parameters:
    `mechanism` - The `mechanism` attribute value for this element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createSmartcard

    public Smartcard createSmartcard()
                              throws org.w3c.dom.DOMException,
                                     AuthenticationContextException

  Creates a new `Smartcard` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createToken

    public Token createToken()
                      throws org.w3c.dom.DOMException,
                             AuthenticationContextException

  Creates a new `Token` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createTimeSyncToken

    public TimeSyncToken createTimeSyncToken(java.lang.String deviceType,
                                             int seedLength,
                                             boolean deviceInHand)
                                      throws org.w3c.dom.DOMException,
                                             AuthenticationContextException

  Creates a new `TimeSyncToken` element, but does not append it to any element.
  Parameters:
    `deviceType` - The `deviceType` attribute value for this element.
    `seedLength` - The `seedLength` attribute value for this element.
    `deviceInHand` - The `deviceInHand` attribute value for this element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createAuthenticator

    public Authenticator createAuthenticator()
                                      throws org.w3c.dom.DOMException,
                                             AuthenticationContextException

  Creates a new `Authenticator` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createAuthenticatorTransportProtocol

    public AuthenticatorTransportProtocol createAuthenticatorTransportProtocol()
                                                                        throws org.w3c.dom.DOMException,
                                                                               AuthenticationContextException

  Creates a new `AuthenticatorTransportProtocol` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createMobileNetwork

    public MobileNetwork createMobileNetwork()
                                      throws org.w3c.dom.DOMException,
                                             AuthenticationContextException

  Creates a new `MobileNetwork` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createSSL

    public SSL createSSL()
                  throws org.w3c.dom.DOMException,
                         AuthenticationContextException

  Creates a new `SSL` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createHTTP

    public HTTP createHTTP()
                    throws org.w3c.dom.DOMException,
                           AuthenticationContextException

  Creates a new `HTTP` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createWTLS

    public WTLS createWTLS()
                    throws org.w3c.dom.DOMException,
                           AuthenticationContextException

  Creates a new `WTLS` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createIPSec

    public IPSec createIPSec()
                      throws org.w3c.dom.DOMException,
                             AuthenticationContextException

  Creates a new `IPSec` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createDeactivationCallCenter

    public DeactivationCallCenter createDeactivationCallCenter()
                                                        throws org.w3c.dom.DOMException,
                                                               AuthenticationContextException

  Creates a new `DeactivationCallCenter` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createGoverningAgreementRef

    public GoverningAgreementRef createGoverningAgreementRef(java.lang.String ref)
                                                      throws org.w3c.dom.DOMException,
                                                             AuthenticationContextException

  Creates a new `GoverningAgreementRef` element, but does not append it to any element.
  Parameters:
    `ref` - The `ref` attribute value for this element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createSharedSecretChallengeResponse

    public SharedSecretChallengeResponse createSharedSecretChallengeResponse()
                                                                      throws org.w3c.dom.DOMException,
                                                                             AuthenticationContextException

  Creates a new `SharedSecretChallengeResponse` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createMobileAuthCard

    public MobileAuthCard createMobileAuthCard()
                                        throws org.w3c.dom.DOMException,
                                               AuthenticationContextException

  Creates a new `MobileAuthCard` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createMobileDevice

    public MobileDevice createMobileDevice()
                                    throws org.w3c.dom.DOMException,
                                           AuthenticationContextException

  Creates a new `MobileDevice` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createSecurityAudit

    public SecurityAudit createSecurityAudit()
                                      throws org.w3c.dom.DOMException,
                                             AuthenticationContextException

  Creates a new `SecurityAudit` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createSwitchAudit

    public SwitchAudit createSwitchAudit()
                                  throws org.w3c.dom.DOMException,
                                         AuthenticationContextException

  Creates a new `SwitchAudit` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createPrivateKeyProtection

    public PrivateKeyProtection createPrivateKeyProtection()
                                                    throws org.w3c.dom.DOMException,
                                                           AuthenticationContextException

  Creates a new `PrivateKeyProtection` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createKeyActivation

    public KeyActivation createKeyActivation()
                                      throws org.w3c.dom.DOMException,
                                             AuthenticationContextException

  Creates a new `KeyActivation` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createKeyStorage

    public KeyStorage createKeyStorage(java.lang.String medium)
                                throws org.w3c.dom.DOMException,
                                       AuthenticationContextException

  Creates a new `KeyStorage` element, but does not append it to any element.
  Parameters:
    `medium` - The `medium` attribute value for this element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createSharedKeyProtection

    public SharedKeyProtection createSharedKeyProtection()
                                                  throws org.w3c.dom.DOMException,
                                                         AuthenticationContextException

  Creates a new `SharedKeyProtection` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createDigSig

    public DigSig createDigSig()
                        throws org.w3c.dom.DOMException,
                               AuthenticationContextException

  Creates a new `Dig-sig` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createZeroKnowledge

    public ZeroKnowledge createZeroKnowledge()
                                      throws org.w3c.dom.DOMException,
                                             AuthenticationContextException

  Creates a new `ZeroKnowledge` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### createPreviousSession

    public PreviousSession createPreviousSession()
                                          throws org.w3c.dom.DOMException,
                                                 AuthenticationContextException

  Creates a new `PreviousSession` element, but does not append it to any element.
  Throws:
    `AuthenticationContextException` - If an error occurs creating the element.
    `org.w3c.dom.DOMException`

### setClassName

    protected void setClassName(java.lang.String name)

  Sets the name of this authentication context class.
  Parameters:
    `name` - The class name.

### getClassName

    public java.lang.String getClassName()

  Returns the name of this authentication context class.

### setAssociatedURI

    protected void setAssociatedURI(java.lang.String uri)

  Sets the associated Liberty URI for this authentication context class.

### getAssociatedURI

    public java.lang.String getAssociatedURI()

  Returns the associated Liberty URI for this authentication context class.

### setValidElement

    protected void setValidElement(java.lang.String nsURI,
                                   java.lang.String localName,
                                   java.lang.String nsURIParent,
                                   java.lang.String localNameParent)

  Adds the `Element` specified by the given namespace URI ,local name, and parent element to the list of valid elements for this authentication context class.
  Parameters:
    `nsURI` - The element's namespace URI.
    `localName` - The element's local name.
    `nsURIParent` - The namespace URI of the element's parent element.
    `localNameParent` - The local name of the element's parent element.

### removeValidElement

    protected void removeValidElement(java.lang.String nsURI,
                                      java.lang.String localName,
                                      java.lang.String nsURIParent,
                                      java.lang.String localNameParent)

  Removes the `Element` specified by the given namespace URI and local name from the list of valid elements for this authentication context class.
  Parameters:
    `nsURI` - The element's namespace URI.
    `nsURIParent` - The namespace URI of the element's parent element.

### isValidElement

    protected boolean isValidElement(ACElement element,
                                     oracle.security.xmlsec.util.XMLElement parent)

  Returns `true` if `Element` represented by the given `ACElement` object belongs to the list of valid elements for this authentication context class, or `false` otherwise.
  Parameters:
    `element` - The element.
    `parent` - The element's parent element.

### validateElement

    protected void validateElement(ACElement element,
                                   oracle.security.xmlsec.util.XMLElement parent)
                            throws AuthenticationContextException

  Throws an `AuthenticationContextException` if `Element` represented by the given `ACElement` object does not belong to the list of valid elements for this authentication context class, or returns otherwise.
  Parameters:
    `element` - The element.
    `parent` - The element's parent element.
  Throws:
    `AuthenticationContextException`

### isValidAttributeValue

    protected boolean isValidAttributeValue(java.lang.String value,
                                            java.lang.String attrName,
                                            java.lang.String attrNSURI,
                                            oracle.security.xmlsec.util.XMLElement element)

  Returns `true` if the given value is valid for the given attribute of the given element for this authentication context class, or `false` otherwise.
  Parameters:
    `value` - The attribute value.
    `attrName` - The attributeName.

### validateAttributeValue

    protected void validateAttributeValue(java.lang.String value,
                                          java.lang.String attrName,
                                          java.lang.String attrNSURI,
                                          oracle.security.xmlsec.util.XMLElement element)
                                   throws AuthenticationContextException

  Throws an `AuthenticationContextException` if the given value is not valid for the given attribute of the given element for this authentication context class.
  Parameters:
    `value` - The attribute value.
    `attrName` - The attributeName.
  Throws:
    `AuthenticationContextException`

### setChildACElement

    protected void setChildACElement(ACElement element,
                                     int pos)
                              throws AuthenticationContextException

  Inserts the given element as a child element to this `AuthenticationContextStatement` element in the given position.
  Parameters:
    `element` - The element to be inserted.
    `pos` - The postion of the element to be inserted in this `AuthenticationContextStatement` element's child element sequence.
  Throws:
    `AuthenticationContextException` - If the element to be inserted is not a valid child element for this `AuthenticationContextStatement` element.

### initialize

    protected abstract void initialize()

  Initializes the authentication context class object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.